/* Estilos básicos e de reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    background-color: #616F39;
    color: #333;
    min-height: 100vh; /* Define altura mínima da tela */
    justify-content: center; /* Centraliza horizontalmente */
    align-items: center; /* Centraliza verticalmente */
    margin: 0;
}

/* Estilos para o container principal */
.container {
    width: 100%;
    max-width: 800px; /* Aumentando a largura para acomodar mais campos */
    background-color: #262525;
    padding: 20px;
    border-radius: 8px;
    color: #A7D129;
    text-align: center;
    margin: 40px auto; /* Centraliza o conteúdo */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.8);
    font-size: 18;
}

/* Título do Formulário */
.container h2 {
    margin-bottom: 20px;
    font-size: 28px;
    color: #A7D129;
}

/* Estilo das seções */
.section-container {
    margin-bottom: 20px;
    text-align: center;
}

/* Título das seções */
.section-container h3 {
    font-size: 21px;
    color: #616F39;
    margin-bottom: 10px;
    text-decoration: underline;
}

/* Estilos dos inputs */
input[type="text"], input[type="password"], input[type="email"], input[type="date"], input[type="file"], input[type="checkbox"] {
    width: 400px; /* Ajuste para a largura de 400px */
    padding: 12px;
    margin: 10px 0;
    border-radius: 8px;
    border: 1px solid #A7D129;
    background-color: #333;
    color: #fff;
    font-size: 18px;
}

/* Estilo dos inputs focados */
input[type="text"]:focus, input[type="password"]:focus, input[type="email"]:focus, input[type="date"]:focus {
    outline: none;
    border-color: #616F39;
}

/* Botão de Cadastro */
button {
    width: 100%;
    padding: 12px;
    background-color: #A7D129;
    color: #333;
    font-size: 18px;
    font-weight: bold;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    margin-top: 20px;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #616F39;
    color: #fff;
}

/* Estilo do link de "Sair" */
a {
    font-size: 18px;
    color: #A7D129;
    text-decoration: underline;
}

a:hover {
    color: #616F39;
}

/* Foto de Perfil */
#foto-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px; /* Você pode ajustar ou remover se não quiser espaço extra */
    flex-direction: column; /* Coloca itens em coluna (imagem e texto, por exemplo) */
}

#foto-perfil {
    display: none; /* A imagem só aparece após ser selecionada */
    width: auto; /* Para manter a proporção original */
    height: auto;
    max-width: 200px;
    max-height: 200px; /* Define o tamanho máximo */
}


/* Alinhamento dos checkbox à esquerda */
.section-container input[type="checkbox"] {
    display: inline-block;
    width: 15px; /* Remove a largura total do checkbox */
    height: 15px;
}

/* Responsividade */
@media (max-width: 768px) {
    .container {
        padding: 15px;
        width: 90%; /* Maior largura para telas pequenas */
        max-width: 400px;
    }

    .container h2 {
        font-size: 24px;
    }

    .section-container h3 {
        font-size: 18px;
    }

    input[type="text"], input[type="password"], input[type="email"], input[type="date"], input[type="file"], button {
        font-size: 14px;
        padding: 10px;
    }

    a {
        font-size: 14px;
    }
    /* Estilos dos inputs */
    input[type="text"], input[type="password"], input[type="email"], input[type="date"], input[type="file"], input[type="checkbox"] {
    width: 300px; /* Ajuste para a largura de 400px */
    padding: 12px;
    margin: 10px 0;
    border-radius: 8px;
    border: 1px solid #A7D129;
    background-color: #333;
    color: #fff;
    font-size: 16px;
}

/* Estilo dos inputs focados */
    input[type="text"]:focus, input[type="password"]:focus, input[type="email"]:focus, input[type="date"]:focus {
    outline: none;
    border-color: #616F39;
}
}
